Tryton - Issues

 

Issue9150

Title Add Regimen especial agricultura y pesca tax
Priority feature Status resolved
Superseder Nosy List albertca, pokoli, reviewbot, roundup-bot, smn
Type feature request Components account_es
Assigned To smn Keywords review
Reviews 299111002
View: 299111002

Created on 2020-03-12.00:13:45 by smn, last changed by roundup-bot.

Messages
New changeset ae02a6760052 by Sergi Almacellas Abellana in branch 'default':
Add Regimen especial agricultura, ganaderia y pesca tax rules
https://hg.tryton.org/tryton-env/rev/ae02a6760052
New changeset ad1f105e5c87 by Sergio Morillo in branch 'default':
Add Regimen especial agricultura, ganaderia y pesca tax rules
https://hg.tryton.org/modules/account_es/rev/ad1f105e5c87
review299111002 updated at https://codereview.tryton.org/299111002/#ps303151002
review299111002 updated at https://codereview.tryton.org/299111002/#ps301131002
review299111002 updated at https://codereview.tryton.org/299111002/#ps285051002
review299111002 updated at https://codereview.tryton.org/299111002/#ps250961002
msg56245 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2020-03-12.22:55:40
El 12/3/20 a les 22:49, Albert Cervera i Areny ha escrit:
> It must be taken into account that the 2% IRPF must be applied on top of the unit price + the 12% IVA.

This is already managed by the "Update Unit Price" flag and the sequence order.
msg56244 (view) Author: [hidden] (albertca) (Tryton committer) Date: 2020-03-12.22:49:02
It must be taken into account that the 2% IRPF must be applied on top of the unit price + the 12% IVA.
review299111002 updated at https://codereview.tryton.org/299111002/#ps250951006
review299111002 updated at https://codereview.tryton.org/299111002/#ps289471002
msg56234 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2020-03-12.14:15:40
El 12/3/20 a les 14:14, Sergio ha escrit:
> So we need two tax rules, don't we?

Yes, one for each tax
msg56233 (view) Author: [hidden] (smn) Date: 2020-03-12.14:14:43
So we need two tax rules, don't we?
msg56232 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2020-03-12.14:01:21
From the tax authority website [1] I see that there are two diferent taxes:

* For "ganaderia and pesca" the tax is 10,5%
* For "explotaciones agricolas o forestales" is 12%. 

Both taxes should be added. 




[1] https://www.agenciatributaria.es/AEAT.internet/Inicio/_Segmentos_/Empresas_y_profesionales/Empresarios_individuales_y_profesionales/IVA/Regimenes_de_tributacion/Regimenes_especiales_para_empresarios_individuales/Regimen_especial_de_la_agricultura__ganaderia_y_pesca/_En_que_consiste_el_regimen_especial_de_la_agricultura__ganaderia_y_pesca_.shtml
review299111002 updated at https://codereview.tryton.org/299111002/#ps305071002
New review299111002 at https://codereview.tryton.org/299111002/#ps278791002
msg56225 (view) Author: [hidden] (smn) Date: 2020-03-12.00:13:45
It is missing on module and is a very common tax.
History
Date User Action Args
2020-03-30 09:55:14roundup-botsetmessages: + msg56790
2020-03-30 09:55:06roundup-botsetstatus: in-progress -> resolved
nosy: + roundup-bot
messages: + msg56789
2020-03-23 15:37:29reviewbotsetmessages: + msg56604
2020-03-16 17:36:32reviewbotsetmessages: + msg56274
2020-03-15 23:29:35reviewbotsetmessages: + msg56273
2020-03-12 23:48:34reviewbotsetmessages: + msg56246
2020-03-12 22:55:40pokolisetmessages: + msg56245
2020-03-12 22:49:02albertcasetnosy: + albertca
messages: + msg56244
2020-03-12 16:47:02reviewbotsetmessages: + msg56243
2020-03-12 16:20:17reviewbotsetmessages: + msg56242

Showing 10 items. Show all history (warning: this could be VERY long)